package fsutils

import (
	`r00t2.io/goutils/bitmask`
)

type fsAttr bitmask.MaskBit

// FsAttrs is a struct representation of filesystem attributes on Linux.
type FsAttrs struct {
	SecureDelete       bool
	UnDelete           bool
	CompressFile       bool
	SyncUpdate         bool
	Immutable          bool
	AppendOnly         bool
	NoDumpFile         bool
	NoUpdateAtime      bool
	IsDirty            bool
	CompressedClusters bool
	NoCompress         bool
	EncFile            bool
	BtreeFmt           bool
	HashIdxDir         bool
	AfsDir             bool
	ReservedExt3       bool
	NoMergeTail        bool
	DirSync            bool
	DirTop             bool
	ReservedExt4a      bool
	Extents            bool
	VerityProtected    bool
	LargeEaInode       bool
	ReservedExt4b      bool
	NoCOWFile          bool
	DAX                bool
	ReservedExt4c      bool
	UseParentProjId    bool
	CaseInsensitive    bool
	ReservedExt2       bool
}
